Mark a current-user notification as read
curl --request POST \
--url https://api.leadping.ai/notifications/{id}/mark-readimport requests
url = "https://api.leadping.ai/notifications/{id}/mark-read"
response = requests.post(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/notifications/{id}/mark-read");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/notifications/{id}/mark-read")
.asString();const options = {method: 'POST'};
fetch('https://api.leadping.ai/notifications/{id}/mark-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/notifications/{id}/mark-read"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/notifications/{id}/mark-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}true{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Notifications
Mark a current-user notification as read
Marks one current-user notification as read so it no longer contributes to unread counts or active notification lists.
POST
/
notifications
/
{id}
/
mark-read
Mark a current-user notification as read
Path Parameters
The ID of the notification to mark as read.
Response
Returns the bool.
The response is of type boolean.
⌘I

